Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.property
Class ReferentialIntegrityException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.modeshape.graph.property.ReferentialIntegrityException

All Implemented Interfaces:
  Serializable

    @Immutable
    public class ReferentialIntegrityException

extends RuntimeException

A runtime exception denoting that an operation could not be performed because it would leave references in an invalid state.

See Also:
  Serialized Form

Constructor Summary
`ReferentialIntegrityException(Location location, Reference... invalidReferences)`
`ReferentialIntegrityException(Map<Location,List<Reference>> invalidReferences)`
`ReferentialIntegrityException(Map<Location,List<Reference>> invalidReferences, String message)`
`ReferentialIntegrityException(Map<Location,List<Reference>> invalidReferences, String message, Throwable cause)`
`ReferentialIntegrityException(Map<Location,List<Reference>> invalidReferences, Throwable cause)`

Method Summary
`Map<Location,List<Reference>>` | `getInvalidReferences()`
`String` | `toString()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ReferentialIntegrityException

    public ReferentialIntegrityException(Location location,
                                         Reference... invalidReferences)

Parameters:
  `location` - the location of the node containing the bad reference(s)
  `invalidReferences` - the invalid references

### ReferentialIntegrityException

    public ReferentialIntegrityException(Map<Location,List<Reference>> invalidReferences)

Parameters:
  `invalidReferences` - the map of locations to invalid references

### ReferentialIntegrityException

    public ReferentialIntegrityException(Map<Location,List<Reference>> invalidReferences,
                                         String message)

Parameters:
  `invalidReferences` - the map of locations to invalid references
  `message` -

### ReferentialIntegrityException

    public ReferentialIntegrityException(Map<Location,List<Reference>> invalidReferences,
                                         Throwable cause)

Parameters:
  `invalidReferences` - the map of locations to invalid references
  `cause` -

### ReferentialIntegrityException

    public ReferentialIntegrityException(Map<Location,List<Reference>> invalidReferences,
                                         String message,
                                         Throwable cause)

Parameters:
  `invalidReferences` - the map of locations to invalid references
  `message` -
  `cause` -

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Throwable`

### getInvalidReferences

    public Map<Location,List<Reference>> getInvalidReferences()

  Returns:
    invalidReferences

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.